package main

import (
	"fmt"
	"strings"
)

type ResponseError struct {
	Err     string   `json:"error"`
	Details []string `json:"details"`
}

func (u *ResponseError) Error() string {
	if len(u.Details) == 0 {
		return u.Err
	}
	return fmt.Sprintf("%s: \n    - %s", u.Err, strings.Join(u.Details, "\n    - "))
}
